.diagram {
    margin: 30px auto 0;
    position: relative;
    @media (min-width: $screen-lg-min) {
        margin-bottom: 60px;
        margin-top: 60px;
    }
    &--superwand {
        max-width: 651px;
    }
    &--pd6500i {
        max-width: 449px;
    }
    &--superscannerv,
    &--thd,
    &--propointerat {
        max-width: 650px;
    }
    &__caption {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
    }
    &__item {
        position: absolute;
        z-index: 1;
        $offset: ( superwand: ( 1: ( bottom: auto, left: -3%, right: auto, top: 5%), 2: ( bottom: auto, left: 11%, right: auto, top: 18%), 3: ( bottom: auto, left: 30%, right: auto, top: 38%), 4: ( bottom: auto, left: 43%, right: auto, top: 53%), 5: ( bottom: auto, left: 3%, right: auto, top: -4%), 6: ( bottom: auto, left: 26%, right: auto, top: 18%), 7: ( bottom: auto, left: 43%, right: auto, top: 33%), 8: ( bottom: auto, left: 54%, right: auto, top: 42%), 9: ( bottom: auto, left: 65%, right: auto, top: 50%), 10: ( bottom: auto, left: 87%, right: auto, top: 67%), 11: ( bottom: auto, left: 85%, right: auto, top: 97%)), pd6500i: ( 1: ( bottom: auto, left: 0, right: auto, top: 5%), 2: ( bottom: auto, left: 0, right: auto, top: 25%), 3: ( bottom: auto, left: 0, right: auto, top: 45%), 4: ( bottom: auto, left: 0, right: auto, top: 65%), 5: ( bottom: auto, left: 0, right: auto, top: 85%), 6: ( bottom: auto, left: auto, right: 0, top: 5%), 7: ( bottom: auto, left: auto, right: 0, top: 25%), 8: ( bottom: auto, left: auto, right: 0, top: 45%), 9: ( bottom: auto, left: auto, right: 0, top: 65%), 10: ( bottom: auto, left: auto, right: 0, top: 85%)), superscannerv: ( 1: ( bottom: auto, left: auto, right: 17%, top: -1%), 2: ( bottom: auto, left: auto, right: 37%, top: 14%), 3: ( bottom: auto, left: auto, right: 62%, top: 34%), 4: ( bottom: auto, left: auto, right: 80%, top: 55%), 5: ( bottom: auto, left: auto, right: 94%, top: 70%), 6: ( bottom: auto, left: auto, right: 0%, top: 12%), 7: ( bottom: auto, left: auto, right: 12%, top: 26%), 8: ( bottom: auto, left: auto, right: 48%, top: 59%), 9: ( bottom: auto, left: auto, right: 62%, top: 66%)), thd: ( 1: ( bottom: auto, left: auto, right: 19%, top: 0), 2: ( bottom: auto, left: auto, right: 37%, top: 18%), 3: ( bottom: auto, left: auto, right: 59%, top: 43%), 4: ( bottom: auto, left: auto, right: 81%, top: 68%), 5: ( bottom: auto, left: auto, right: 4%, top: 23%), 6: ( bottom: auto, left: auto, right: 43%, top: 57%), 7: ( bottom: auto, left: auto, right: 58%, top: 72%), 8: ( bottom: auto, left: auto, right: 81%, top: 96%)), propointerat: ( 1: ( bottom: auto, left: auto, right: 95%, top: 4%), 2: ( bottom: auto, left: auto, right: 78%, top: 30%), 3: ( bottom: auto, left: auto, right: 62%, top: 46%), 4: ( bottom: auto, left: auto, right: 55%, top: 53%), 5: ( bottom: auto, left: auto, right: 41%, top: 66%), 6: ( bottom: auto, left: auto, right: 17%, top: 90%), 7: ( bottom: auto, left: auto, right: 69%, top: 1%), 8: ( bottom: auto, left: auto, right: 58%, top: 20%), 9: ( bottom: auto, left: auto, right: 43%, top: 35%), 10: ( bottom: auto, left: auto, right: 34%, top: 44%), 11: ( bottom: auto, left: auto, right: 25%, top: 58%), 12: ( bottom: auto, left: auto, right: 15%, top: 68%), 13: ( bottom: auto, left: auto, right: 1%, top: 95%)));
        @each $model,
        $modelProp in $offset {
            @each $modelItemKey,
            $modelItemProp in $modelProp {
                .diagram--#{$model} &:nth-child(#{$modelItemKey}) {
                    bottom: map-get($modelItemProp, "bottom");
                    left: map-get($modelItemProp, "left");
                    right: map-get($modelItemProp, "right");
                    top: map-get($modelItemProp, "top");
                }
            }
        }
        &.active {
            z-index: 2;
        }
    }
    &__hotspot {
        background-color: $danger;
        border-radius: 50%;
        cursor: pointer;
        display: block;
        height: 30px;
        line-height: 30px;
        position: relative;
        text-align: center;
        width: 30px;
        @media (min-width: $screen-lg-min) {
            cursor: default;
        }
        &::after {
            @keyframes blinking-hotspot {
                80% {
                    @include transform-scale(1);
                    opacity: 1;
                }
                100% {
                    @include transform-scale(2);
                    opacity: 0;
                }
            }
            @include animation-duration(5s);
            @include animation-iteration-count(infinite);
            @include animation-name(blinking-hotspot);
            @include animation-timing-function(linear);
            border-radius: 50%;
            border: 5px solid $danger;
            bottom: 1px;
            content: "";
            left: 1px;
            position: absolute;
            right: 1px;
            top: 1px;
            z-index: -1;
        }
        .active & {
            background-color: $primary;
            .fa {
                display: initial;
            }
        }
        .fa-times {
            display: none;
        }
    }
    &__text {
        display: none;
        font-size: 15px;
        margin: 0;
        $offset: ( superwand: ( 1: ( bottom: 0, left: auto, right: 30px, top: auto, width: 200px), 2: ( bottom: auto, left: auto, right: 50px, top: -25px, width: 200px), 3: ( bottom: auto, left: auto, right: 30px, top: 0, width: 200px), 4: ( bottom: auto, left: auto, right: -80px, top: 70px, width: 290px), 5: ( bottom: auto, left: 90px, right: auto, top: 0, width: 350px), 6: ( bottom: 5px, left: 60px, right: auto, top: auto, width: 500px, ), 7: ( bottom: 10px, left: 60px, right: auto, top: auto, width: 510px), 8: ( bottom: 15px, left: 60px, right: auto, top: auto, width: 200px), 9: ( bottom: -20px, left: 60px, right: auto, top: auto, width: 350px), 10: ( bottom: auto, left: 60px, right: auto, top: -10px, width: 200px), 11: ( bottom: 0, left: auto, right: 75px, top: auto, width: 200px)), pd6500i: ( 1: ( bottom: auto, left: auto, right: 60px, top: 0, width: 300px), 2: ( bottom: auto, left: auto, right: 60px, top: 0, width: 300px), 3: ( bottom: auto, left: auto, right: 60px, top: 0, width: 300px), 4: ( bottom: auto, left: auto, right: 60px, top: 0, width: 300px), 5: ( bottom: auto, left: auto, right: 60px, top: 0, width: 300px), 6: ( bottom: auto, left: 60px, right: auto, top: 0, width: 300px), 7: ( bottom: auto, left: 60px, right: auto, top: 0, width: 300px), 8: ( bottom: auto, left: 60px, right: auto, top: 0, width: 300px), 9: ( bottom: auto, left: 60px, right: auto, top: 0, width: 300px), 10: ( bottom: auto, left: 60px, right: auto, top: 0, width: 300px)), superscannerv: ( 1: ( bottom: 0, left: auto, right: 60px, top: auto, width: 400px), 2: ( bottom: 0, left: auto, right: 60px, top: auto, width: 280px), 3: ( bottom: 0, left: auto, right: 60px, top: auto, width: 255px), 4: ( bottom: auto, left: auto, right: 60px, top: 0, width: 190px), 5: ( bottom: auto, left: auto, right: 60px, top: 0, width: 200px), 6: ( bottom: 0, left: 60px, right: auto, top: auto, width: 200px), 7: ( bottom: auto, left: 60px, right: auto, top: 0, width: 200px), 8: ( bottom: 0, left: 80px, right: auto, top: auto, width: 400px), 9: ( bottom: auto, left: 60px, right: auto, top: 20px, width: 400px)), thd: ( 1: ( bottom: 0, left: auto, right: 30px, top: auto, width: 200px), 2: ( bottom: auto, left: auto, right: 60px, top: 0, width: 200px), 3: ( bottom: 0, left: auto, right: 30px, top: auto, width: 200px), 4: ( bottom: 0, left: auto, right: 60px, top: auto, width: 200px), 5: ( bottom: auto, left: 60px, right: auto, top: 0, width: 200px), 6: ( bottom: 0, left: 80px, right: auto, top: auto, width: 400px), 7: ( bottom: auto, left: 80px, right: auto, top: 0, width: 400px), 8: ( bottom: 0, left: 100px, right: auto, top: auto, width: 400px)), propointerat: ( 1: ( bottom: auto, left: auto, right: 60px, top: 0, width: 150px), 2: ( bottom: 0, left: auto, right: 60px, top: auto, width: 330px), 3: ( bottom: 20px, left: auto, right: 60px, top: auto, width: 200px), 4: ( bottom: 0, left: auto, right: 60px, top: auto, width: 300px), 5: ( bottom: auto, left: auto, right: 60px, top: 0, width: 150px), 6: ( bottom: 0, left: auto, right: 60px, top: auto, width: 500px), 7: ( bottom: 0, left: 60px, right: auto, top: auto, width: 200px), 8: ( bottom: 30px, left: 60px, right: auto, top: auto, width: 200px), 9: ( bottom: 0, left: 60px, right: auto, top: auto, width: 200px), 10: ( bottom: 15px, left: 60px, right: auto, top: auto, width: 200px), 11: ( bottom: 0, left: 60px, right: auto, top: auto, width: 370px), 12: ( bottom: 0, left: 60px, right: auto, top: auto, width: 250px), 13: ( bottom: 0, left: 60px, right: auto, top: auto, width: 200px)));
        @each $model,
        $modelProp in $offset {
            @each $textItemKey,
            $textItemProp in $modelProp {
                .diagram--#{$model} .diagram__item:nth-child(#{$textItemKey}) & {
                    @media (min-width: $screen-lg-min) {
                        bottom: map-get($textItemProp, "bottom");
                        left: map-get($textItemProp, "left");
                        right: map-get($textItemProp, "right");
                        top: map-get($textItemProp, "top");
                        width: map-get($textItemProp, "width");
                    }
                }
            }
        }
        @media (min-width: $screen-lg-min) {
            display: block;
            position: absolute;
        }
        span {
            display: block;
            font-size: 17px;
            font-weight: 700;
        }
        .active & {
            background-color: $primary;
            box-shadow: 0 0 20px rgba($color-1, 0.6);
            display: block;
            margin: 0;
            padding: 15px;
            position: absolute;
        }
    }
}